Qt uses an ancient version of gstreamer for multimedia on linux platform 
therefore qtmutimedia usually does not work on linux. Perhaps this has been 
fixed on newer version of Qt, but linux jqt is linked against Qt 5.3 which is 
what provided by jessie - the current stable version of debian. You can also 
try building jqt from source on your Pinebook to test multimedia under Qt 5.5.

Thank you for testing j engine and jqt on linux arm64.

Sent from my iPhone

On 12 Aug, 2017, at 1:04 AM, Edward Clinton Harold Deveaux <e...@rawbw.com> 
wrote:

> Fri Aug 11 12:00:27 EDT 2017
> 
> pinebook:~ ed$ ldd --version
> ldd (Ubuntu GLIBC 2.23-0ubuntu9) 2.23
> 
> pinebook:~ ed$ uname -a
> Linux pinebook 3.10.105-bsp-1.2-ayufan-77 #1 SMP PREEMPT Sun Jul 9 12:09:30 
> UTC 2017 aarch64 aarch64 aarch64 GNU/Linux
> 
> jqt -> Help -> about
> Engine: j806/j64/raspberry
> Beta: commercial/2017-08-07T12:14:33
> Library: 8.06.03
> Qt IDE: 1.5.4/5.5.1
> Platform: Linux 64
> Installer: J806 install
> InstallPath: /home/ed/j806
> Contact: www.jsoftware.com
> 
> multimedia fails with service missing.
> I can drop url into a my web browser with no problems.
> I am checking my configuration will get back to you.
> 
> All other qt demos look good.
> 
> I checked showcase demos they also work.
> 
> Thanks for all your work.
> 
> It's a pleasure working with you
> 
> Ed Deveaux
> e...@rawbw.com
> 
> 
> On 8/11/17 11:24 AM, bill lam wrote:
>> A beta version for linux arm64 jqt full
>> (jqt-raspi-64.tar.gz) is available on
>> 
>>  http://www.jsoftware.com/download/j806/qtide/
>> 
>> installation procedure is similar to the slim version.
>> 
>> The full may require more Qt modules such as
>> webkit multimedia websocket in order to run.
>> 
>> Please test and report any problems.
>> 
>> 
>> Пт, 11 авг 2017, bill lam написал(а):
>>> A beta version for linux arm64 jqt slim
>>> (jqt-raspislim-64.tar.gz) is available on
>>> 
>>>  http://www.jsoftware.com/download/j806/qtide/
>>> 
>>> this requires a armv8a cpu and a debian arm64port linux
>>> or its derivatives.  Since base library has not yet been
>>> updated, the "install" verb does not work. Instead,
>>> one needs to download manually, untar and copy binary
>>> files jqt and libjqt.so to J bin folder. In addition,
>>> one also needs to install ide/qt addon using pacman
>>> in a jconsole session.
>>> 
>>> This has been cross-compiled and tested using qemu
>>> emulation. Please test and report any problems.
>>> 
>>> These binaries require Qt 5.3 and GLIBC 2.19 or newer.
>>> 
>>> -- 
>>> regards,
>>> ====================================================
>>> GPG key 1024D/4434BAB3 2008-08-24
>>> gpg --keyserver subkeys.pgp.net --recv-keys 4434BAB3
>>> gpg --keyserver subkeys.pgp.net --armor --export 4434BAB3
> 
> ----------------------------------------------------------------------
> For information about J forums see http://www.jsoftware.com/forums.htm
----------------------------------------------------------------------
For information about J forums see http://www.jsoftware.com/forums.htm

Reply via email to